repo/proj/guru:dev commit in: games-emulation/azahar/
"Pavel Sobolev" <contact-2GWvd5oGOoG/[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786801842.a06d95753efaeea13fd8d9372a5fa9182a011fc7.contact@gentoo> |
commit: a06d95753efaeea13fd8d9372a5fa9182a011fc7
Author: Pavel Sobolev <contact <AT> paveloom <DOT> dev>
AuthorDate: Sat Aug 15 10:45:15 2026 +0000
Commit: Pavel Sobolev <contact <AT> paveloom <DOT> dev>
CommitDate: Sat Aug 15 13:50:42 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a06d9575
games-emulation/azahar: add 2126.0
Signed-off-by: Pavel Sobolev <contact <AT> paveloom.dev>
games-emulation/azahar/Manifest | 1 +
games-emulation/azahar/azahar-2126.0.ebuild | 141 ++++++++++++++++++++++++++++
2 files changed, 142 insertions(+)
diff --git a/games-emulation/azahar/Manifest b/games-emulation/azahar/Manifest
index 92dfb3e2b0..d75a3e5dd9 100644
--- a/games-emulation/azahar/Manifest
+++ b/games-emulation/azahar/Manifest
@@ -1,2 +1,3 @@
DIST azahar-2125.1.2.tar.xz 41577600 BLAKE2B f300164963a51dc3b079e518efd1dcef917b00524af0ee645c120e3cc492fd7437cb14d0c1a0e5285672ca9fed743473c2aa799983c8714a67f005f290b03f4c SHA512 dd27b27a8f54a7e8bb584699226e05413153a338208d8b6b174a35178dd1c563a73e69be5f4c31c029fbd23e3c5e9c606ace68e49027e10fef78142dc4b53103
DIST azahar-2125.1.3.tar.xz 41595172 BLAKE2B a9907b1b30c2261d261bfb1480eb95ce4552d0b3850a2e1f10ed0ec1b134080e7b4b27b928460609e3e9bf0c0da0abe8bb4cada64770636c7f70b558817353cf SHA512 ce323b71f235de46db9dd8d8def536c3a88ae96b4fa2342de1b53fdacf1b3356e951c5c3a02c8476f4b21153ad1d7325c32bc4608854567dc3eaf266254ca261
+DIST azahar-2126.0.tar.xz 43246224 BLAKE2B e34723fb1a83296577b321dc649b0c0bc6e8acb5539073b6d42bdfee5f384eb21b07c6d416ef334adff42d79a5771a4e4cae76c5c3678e3bf77676d9258e49c2 SHA512 376d4786d3309e13e2d8ff4de4eb0bf920de59b87a7accff0314ef9246a2354646eabc38045d392a200c762e5ff224425eb64fc7d0ae32ec76d5364239e1198b
diff --git a/games-emulation/azahar/azahar-2126.0.ebuild b/games-emulation/azahar/azahar-2126.0.ebuild
new file mode 100644
index 0000000000..ea08ae828a
--- /dev/null
+++ b/games-emulation/azahar/azahar-2126.0.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="An open-source 3DS emulator project based on Citra"
+HOMEPAGE="https://azahar-emu.org"
+SRC_URI="
+ https://github.com/azahar-emu/azahar/releases/download/${PV}/azahar-unified-source-${PV}.tar.xz -> ${P}.tar.xz
+"
+
+S="${WORKDIR}/azahar-unified-source-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cpu_flags_x86_sse4_2 test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-cpp/nlohmann_json
+ dev-cpp/robin-map
+ dev-libs/boost:=
+ dev-libs/crypto++:=
+ dev-libs/dynarmic
+ dev-libs/inih
+ dev-libs/libfmt:=
+ dev-libs/microprofile
+ dev-libs/nihstro
+ dev-libs/openssl:=
+ dev-libs/sirit
+ dev-libs/teakra
+ dev-libs/xxhash
+ dev-qt/qtbase:6[concurrent,dbus,opengl,widgets]
+ dev-qt/qtmultimedia:6
+ dev-util/glslang
+ media-libs/cubeb
+ media-libs/faad2
+ media-libs/libsdl2
+ media-libs/libsoundtouch:=
+ media-libs/openal
+ media-libs/vulkan-loader
+ media-video/ffmpeg
+ net-libs/enet
+ virtual/libusb
+"
+DEPEND="
+ ${RDEPEND}
+ dev-util/spirv-headers
+ dev-util/vulkan-headers
+ media-libs/VulkanMemoryAllocator
+ amd64? ( dev-libs/xbyak )
+ arm64? ( dev-libs/oaknut )
+"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ test? ( >=dev-cpp/catch-3:0 )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2122.1-explicitly-require-the-tsl-robin-map-package.patch"
+ "${FILESDIR}/${PN}-2122.1-import-some-of-the-symbols-from-spv.patch"
+ "${FILESDIR}/${PN}-2122.1-rename-AV_OPT_TYPE_CHANNEL_LAYOUT-to-AV_OPT_TYPE_CHL.patch"
+ "${FILESDIR}/${PN}-2122.1-use-the-system-faad2-library.patch"
+ "${FILESDIR}/${PN}-2122.1-use-the-system-teakra-library.patch"
+ "${FILESDIR}/${PN}-2123-don-t-build-spirv-tools.patch"
+ "${FILESDIR}/${PN}-2123.2-use-the-system-sirit-library.patch"
+ "${FILESDIR}/${PN}-2125.1-use-the-system-xxhash-library.patch"
+)
+
+# [directory]=license
+declare -A KEEP_BUNDLED=(
+ # Generated or copied files for internal usage
+ [cmake-modules]=Boost-1.0
+ [dds-ktx]=BSD-2
+ [gamemode]=BSD
+ [glad]=MIT
+ [open_source_archives]=GPL-2+
+
+ # Reasons to keep are in `src_configure`
+ [httplib]=MIT
+ [lodepng]=ZLIB
+ [zstd]="GPL-2"
+)
+
+add_bundled_licenses() {
+ for license in "${KEEP_BUNDLED[@]}"; do
+ if [[ -n "$license" ]]; then
+ LICENSE+=" ${license}"
+ fi
+ done
+}
+add_bundled_licenses
+
+src_prepare() {
+ local s remove=()
+ for s in externals/*; do
+ [[ -f ${s} ]] && continue
+ if ! has "${s#externals/}" "${!KEEP_BUNDLED[@]}"; then
+ remove+=( "${s}" )
+ fi
+ done
+
+ einfo "removing sources: ${remove[*]}"
+ rm -r "${remove[@]}" || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=no
+ -DCITRA_USE_PRECOMPILED_HEADERS=no
+ -DCITRA_WARNINGS_AS_ERRORS=no
+ -DENABLE_WEB_SERVICE=no
+ -DUSE_SYSTEM_LIBS=yes
+
+ -DENABLE_SSE42=$(usex cpu_flags_x86_sse4_2)
+ -DENABLE_TESTS=$(usex test)
+
+ # Shared library is not supported
+ -DDISABLE_SYSTEM_CPP_HTTPLIB=yes
+
+ # Lodepng is designed to be bundled
+ -DDISABLE_SYSTEM_LODEPNG=yes
+
+ # Upstream depends on `zstd/contrib/seekable_format/zstd_seekable.h`
+ -DDISABLE_SYSTEM_ZSTD=yes
+
+ -Wno-dev
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ dodoc license.txt
+}